classification
Title: Add pyd icon for 3.6
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: Decorater, eryksun, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-08-13 20:26 by Decorater, last changed 2016-09-05 21:52 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
pyd.ico Decorater, 2016-08-13 20:26
ProposedIcons.png steve.dower, 2016-08-16 22:20
Messages (10)
msg272613 - (view) Author: Decorater (Decorater) * Date: 2016-08-13 20:26
I did some working and did a halfed one for pyd's it basically combines it icon from python.exe with the DLL "gears" for windows DLL's beig under that. Hopefully it will work. (Anyone could use this as a base file and restyle it or whatever if they want. At least I tried.

(note: the file would have to go under the PC directory as well. Hopefully something from the python installer can associate them with pyd files so that way people can distinquish them from any other file type (like pdbs,lib,w/e with no icon(s)).
msg272813 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-08-16 00:59
It's certainly very easy to add an icon for pyd files. The tricky part is getting an icon we can redistribute - fairly sure one derived from a Windows icon is not redistributable.

Let me see if I can get one of the designers at work to put something together. Maybe it's time for a whole new set :)
msg272815 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2016-08-16 01:47
> Maybe it's time for a whole new set :)

Please keep a rocket in the upper left-hand corner for the launcher icon. It distinguishes the launcher from other "Python" apps when modifying the shell's file association, since the shell doesn't show the command-line template to the user. Of course, it would also help if the description in py.exe were changed to "Python Launcher" instead of just "Python".
msg272817 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-08-16 02:00
Can't promise there'll be a rocket, but the launcher icon will certainly be different from the source file icon.
msg272890 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-08-16 22:20
Got an impressively quick response from one of our willing designers, who has proposed the attached icons.

In order, they would be:
* pythonw.exe
* py.exe (for reference, this mimics the Run launcher icon in Win10)
* All .py
* python.exe
* All .pyc
* All .pyd

Any suggestions or comments? I personally think they look great.
msg272892 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2016-08-16 23:44
Should pyw.exe get its own icon? Otherwise these look good to me; they're less busy than the existing icons, which is probably for the best. Is there a potential licensing problem with borrowing the look of the Win+R dialog icon, or is this fair use?
msg272893 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-08-16 23:57
It's probably not worth doing pyw.exe - even distinguishing between python.exe and pythonw.exe is only possible because we came up with that icon before the alternative one for the launcher.

The style just imitates the icon in the Run dialog (the "feeling of speed"), it's not the same image. Only the Python logo is a concern, but we're allowed to use that one :)
msg274431 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-05 21:06
New changeset 29815771f2ac by Steve Dower in branch 'default':
Issue #27756: Adds new icons for Python files and processes on Windows. Designs by Cherry Wang.
https://hg.python.org/cpython/rev/29815771f2ac
msg274432 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-09-05 21:10
The new beautiful icons have been checked in!
msg274440 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-05 21:52
New changeset 386aa9738c6b by Steve Dower in branch 'default':
Issue #27756: Updates installer icons to be the console and launcher icon instead of the setup icon
https://hg.python.org/cpython/rev/386aa9738c6b
History
Date User Action Args
2017-06-06 13:31:33eryksunlinkissue25444 superseder
2016-09-05 21:52:04python-devsetmessages: + msg274440
2016-09-05 21:10:18steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg274432

stage: patch review -> resolved
2016-09-05 21:06:05python-devsetnosy: + python-dev
messages: + msg274431
2016-08-16 23:57:35steve.dowersetmessages: + msg272893
2016-08-16 23:44:02eryksunsetmessages: + msg272892
2016-08-16 22:20:05steve.dowersetfiles: + ProposedIcons.png
messages: + msg272890

assignee: steve.dower
type: enhancement
stage: patch review
2016-08-16 02:00:39steve.dowersetmessages: + msg272817
2016-08-16 01:47:49eryksunsetnosy: + eryksun
messages: + msg272815
2016-08-16 00:59:35steve.dowersetmessages: + msg272813
2016-08-14 01:06:45ned.deilysetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2016-08-13 20:26:13Decoratercreate